Subject: Can you improve HC-Gammon?

From: [email-masked] (Josh Levine)
Date: Thu, 19 Feb 1998 17:02:16 -0500

I've by now played dozens of games against the HC-Gammon program, and I
do think it's great -- but it tends to make some strange choices.

The biggest fault I see is its insistence on setting up points in its
home table, even when playing a running game. If both the player and HC
are bearing off, and HC has an open point or a blot in its home table,
it will make the point or cover the blot rather than bearing off.

Another fault is that HC will usually hit a player's blot even when the
risk for HC is very high and it is not very harmful to the player.

Also, HC will create blots quite freely in its home table in the
(cyber-) hope of later setting up a point there --  high risk play in a
situation where a good player would be more conservative. In this same
respect, I don't think I'll ever see HC set up a prime, except
completely within its home table.

Fortunately, for the most part it plays a decent game. Thanks for
reading my comments.